> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Show Deleted Providers

> Update the show deleted providers setting for a provider



## OpenAPI

````yaml put /admin/settings/show-deleted-providers
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/show-deleted-providers:
    put:
      tags:
        - provider
        - admin
      summary: Update Show Deleted Providers
      description: Update the show deleted providers setting for a provider
      operationId: update_show_deleted_providers_admin_settings_show_deleted_providers_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShowDeletedProvidersUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Update Show Deleted Providers Admin Settings Show
                  Deleted Providers Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ShowDeletedProvidersUpdate:
      properties:
        showDeletedProviders:
          type: boolean
          title: Showdeletedproviders
      type: object
      required:
        - showDeletedProviders
      title: ShowDeletedProvidersUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````